SMAPProfile-class {SMAP} | R Documentation

## Class "SMAPProfile"

### Description

Holds results from running `smap`.

### Objects from the Class

Objects are not intended to be created directly but as a result from running `smap.`

### Slots

`HMM`:
  Object of class `"SMAPHMM"`
`observations`:
  Object of class `"SMAPObservations"`
`P`:
  Object of class `"numeric"` The log joint posterior probability of the state sequence `Q` and parameters of `HMM` given the `observations`.
`Q`:
  Object of class `"numeric"` The optimal state sequance (path) in the HMM.
`name`:
  Object of class `"character"` The name of the object.

### Methods

P
  `signature(object = "SMAPProfile")`: Returns the log joint posterior probability.
Q
  `signature(object = "SMAPProfile")`: Returns the optimal state sequence.
HMM
  `signature(object = "SMAPProfile")`: Returns the optimized HMM.
name
  `signature(object = "SMAPProfile")`: Returns the name of the profile.
observations
  `signature(object = "SMAPProfile")`: Returns the observations.
plot
  `signature(x = "SMAPProfile", y = "missing")`: A plot method for the result profile.
[
  `signature(x = "SMAPProfile")`: Creates a new object of class SMAPProfile with extracted elements as specified by the indices provided.

### Author(s)

Robin Andersson, robin.andersson@lcb.uu.se

### References

Andersson, R., Bruder, C. E. G., Piotrowski, A., Menzel, U., Nord, H., Sandgren, J., Hvidsten, T. R., Diaz de Stahl, T., Dumanski, J. P., Komorowski, J., A Segmental Maximum A Posteriori Approach to Array-CGH Copy Number Profiling, submitted

### See Also

`smap`, `SMAPProfiles-class`

[Package SMAP version 1.6.0 Index]